> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an eSIM

> Retrieve the information of the esim from the given ICCID.



## OpenAPI

````yaml /openapi.yaml get /v1/esims/{iccid}
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/esims/{iccid}:
    parameters:
      - schema:
          type: string
        name: iccid
        in: path
        required: true
        description: iccid of the esim
    get:
      tags:
        - Esim
      summary: Get an eSIM
      description: Retrieve the information of the esim from the given ICCID.
      operationId: get-an-esim
      responses:
        '200':
          description: Returns the esim information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Esim'
              examples:
                Example 2:
                  value:
                    iccid: '891004234814455936'
                    activationCode: LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH
                    msisdn: '449898978234'
                    label: sigma
        '404':
          description: The requested resource doesn't exist.
components:
  schemas:
    Esim:
      title: Esim
      x-stoplight:
        id: wuubfexjvtk38
      type: object
      examples:
        - iccid: 891004234814455936F
          activationCode: LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH
          msisdn: '449898978234'
          label: alpha
      required:
        - iccid
        - msisdn
        - activationCode
        - label
      properties:
        iccid:
          type: string
          x-stoplight:
            id: 77c3kygb5y0ym
        msisdn:
          type: string
          x-stoplight:
            id: 5lsad34xx9dp2
        activationCode:
          type: string
          x-stoplight:
            id: 55rvmfcomwgh9
        label:
          type: string
          x-stoplight:
            id: 0xaawmb6yf9d8
          description: The plan-esim compatibility label
        availability:
          $ref: '#/components/schemas/Availability'
          x-stoplight:
            id: 214dmj7esx16g
    Availability:
      title: Availability
      x-stoplight:
        id: 9dike6s5qmy6j
      type: object
      examples:
        - gracePeriodFinishAction: LAPSE
          gracePeriodFinishAt: 1768481221
          currentState: ACTIVE
      required:
        - gracePeriodFinishAction
        - gracePeriodFinishAt
        - currentState
      properties:
        gracePeriodFinishAction:
          x-stoplight:
            id: zx89smtdjw4vv
          enum:
            - LAPSE
            - PRESERVE
          description: >-
            The action that would be taken by the system once the grace period
            is finished.
        gracePeriodFinishAt:
          type: integer
          x-stoplight:
            id: d9jtor8yynr7y
          description: Timestamp at which the grace period finishes.
        currentState:
          x-stoplight:
            id: o4y33otft632k
          enum:
            - ACTIVE
            - LAPSED
      x-internal: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````